Class UmlBaseActivityObject

Declaration :

- C++ : class UmlBaseActivityObject : public UmlActivityNode
- Java : abstract class UmlBaseActivityObject extends UmlActivityNode

Directly inherited by : UmlActivityObject

Artifact : UmlBaseActivityObject

Operation create

returns a new activity object named 's' created under 'parent'
In case it cannot be created (the name is already used or
invalid, 'parent' cannot contain it etc ...) return 0 in C++
and produce a RuntimeException in Java

Declaration :

- Uml : static, + create(inout parent : UmlItem, inout s : str) : UmlActivityObject, exceptions : RuntimeException
- C++ : public: static UmlActivityObject * create(UmlItem * parent, const char * s)
- Java : public static UmlActivityObject create(UmlItem parent, String s) throws RuntimeException

Operation kind

returns the kind of the item

Declaration :

- Uml : + kind() : anItemKind
- C++ : public: virtual anItemKind kind()
- Java : public anItemKind kind()

Operation UmlBaseActivityObject

the constructor, do not call it yourself !!!!!!!!!!

Declaration :

- Uml : # UmlBaseActivityObject(in id : item_id, in s : string) :
- C++ : protected: UmlBaseActivityObject(void * id, const QCString & s) : UmlActivityNode(id, s)
- Java : protected UmlBaseActivityObject(long id, String s)

Operation type

return the type

Declaration :

- Uml : + type() : UmlTypeSpec
- C++ : public: const UmlTypeSpec & type()
- Java : public UmlTypeSpec type()

Operation set_Type

set the type
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Type(in v : UmlTypeSpec) : bool, exceptions : RuntimeException
- C++ : public: bool set_Type(const UmlTypeSpec & v)
- Java : public void set_Type(UmlTypeSpec v) throws RuntimeException

Operation multiplicity

return the multiplicity

Declaration :

- Uml : + multiplicity() : string
- C++ : public: const QCString & multiplicity()
- Java : public String multiplicity()

Operation set_Multiplicity

set the multiplicity
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Multiplicity(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Multiplicity(const char * v)
- Java : public void set_Multiplicity(String v) throws RuntimeException

Operation inState

return the inState attribute

Declaration :

- Uml : + inState() : string
- C++ : public: const QCString & inState()
- Java : public String inState()

Operation set_InState

set the inState attribute
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_InState(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_InState(const char * v)
- Java : public void set_InState(String v) throws RuntimeException

Operation selection

return the selection in OCL

Declaration :

- Uml : + selection() : string
- C++ : public: const QCString & selection()
- Java : public String selection()

Operation set_Selection

set the selection in OCL
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Selection(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_Selection(const char * v)
- Java : public void set_Selection(String v) throws RuntimeException

Operation cppSelection

return the selection in C++

Declaration :

- Uml : + cppSelection() : string
- C++ : public: const QCString & cppSelection()
- Java : public String cppSelection()

Operation set_CppSelection

set the selection in C++
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_CppSelection(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_CppSelection(const char * v)
- Java : public void set_CppSelection(String v) throws RuntimeException

Operation javaSelection

return the selection in Java

Declaration :

- Uml : + javaSelection() : string
- C++ : public: const QCString & javaSelection()
- Java : public String javaSelection()

Operation set_JavaSelection

set the selection in Java
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_JavaSelection(in v : str) : bool, exceptions : RuntimeException
- C++ : public: bool set_JavaSelection(const char * v)
- Java : public void set_JavaSelection(String v) throws RuntimeException

Operation ordering

return the ordering

Declaration :

- Uml : + ordering() : anOrdering
- C++ : public: anOrdering ordering()
- Java : public anOrdering ordering()

Operation set_Ordering

set the ordering
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_Ordering(in v : anOrdering) : bool, exceptions : RuntimeException
- C++ : public: bool set_Ordering(anOrdering v)
- Java : public void set_Ordering(anOrdering v) throws RuntimeException

Operation isControlType

return the isControlType attribute, tells whether the type of the object node is to be treated as control

Declaration :

- Uml : + isControlType() : bool
- C++ : public: bool isControlType()
- Java : public boolean isControlType()

Operation set_IsControlType

set the isControlType attribute
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_IsControlType(in v : bool) : bool, exceptions : RuntimeException
- C++ : public: bool set_IsControlType(bool v)
- Java : public void set_IsControlType(boolean v) throws RuntimeException

Operation associatedDiagram

returns the optional associated diagram

Declaration :

- Uml : + associatedDiagram() : UmlActivityDiagram
- C++ : public: UmlActivityDiagram * associatedDiagram()
- Java : public UmlActivityDiagram associatedDiagram()

Operation set_AssociatedDiagram

sets the associated diagram, arg may be null to unset it
On error return FALSE in C++, produce a RuntimeException in Java

Declaration :

- Uml : + set_AssociatedDiagram(in d : UmlActivityDiagram) : bool, exceptions : RuntimeException
- C++ : public: bool set_AssociatedDiagram(UmlActivityDiagram * d)
- Java : public void set_AssociatedDiagram(UmlActivityDiagram d) throws RuntimeException

Operation unload

to unload the object to free memory, it will be reloaded automatically
if needed. Recursively done for the sub items if 'rec' is TRUE.
if 'del' is true the sub items are deleted in C++, and removed from the
internal dictionnary in C++ and Java (to allow it to be garbaged),
you will have to call Children() to re-access to them

Declaration :

- Uml : + unload(in rec : bool, in del : bool) : void
- C++ : public: virtual void unload(bool = FALSE, bool = FALSE)
- Java : public void unload(boolean rec, boolean del)

Relation _assoc_diagram (<unidirectional association>)

Declaration :

- Uml : - _assoc_diagram : UmlActivityDiagram
- C++ : private: UmlActivityDiagram * _assoc_diagram
- Java : private UmlActivityDiagram _assoc_diagram

Relation _type (<directional composition>)

Declaration :

- Uml : - _type : UmlTypeSpec
- C++ : private: UmlTypeSpec _type
- Java : private UmlTypeSpec _type

Attribut _multiplicity

Declaration :

- Uml : - _multiplicity : string
- C++ : private: QCString _multiplicity
- Java : private String _multiplicity

Attribut _in_state

Declaration :

- Uml : - _in_state : string
- C++ : private: QCString _in_state
- Java : private String _in_state

Attribut _selection

Declaration :

- Uml : - _selection : string
- C++ : private: QCString _selection
- Java : private String _selection

Attribut _cpp_selection

Declaration :

- Uml : - _cpp_selection : string
- C++ : private: QCString _cpp_selection
- Java : private String _cpp_selection

Attribut _java_selection

Declaration :

- Uml : - _java_selection : string
- C++ : private: QCString _java_selection
- Java : private String _java_selection

Relation _ordering (<directional composition>)

Declaration :

- Uml : - _ordering : anOrdering
- C++ : private: anOrdering _ordering : 8
- Java : private anOrdering _ordering

Attribut _is_control

Declaration :

- Uml : - _is_control : bool
- C++ : private: bool _is_control : 1
- Java : private boolean _is_control

Operation read_uml_

Declaration :

- Uml : # read_uml_() : void
- C++ : protected: virtual void read_uml_()
- Java : protected void read_uml_()

Operation read_cpp_

Declaration :

- Uml : # read_cpp_() : void
- C++ : protected: virtual void read_cpp_()
- Java : protected void read_cpp_()

Operation read_java_

Declaration :

- Uml : # read_java_() : void
- C++ : protected: virtual void read_java_()
- Java : protected void read_java_()

All public operations : apply , associatedDiagram , children , childrenVisible , cppSelection , create , defined_ , deleteIt , description , getIdentifier , identifier_ , inState , isControlType , isMarked , isToolRunning , isWritable , javaSelection , kind , kind , markedItems , moveAfter , multiplicity , name , ordering , parent , properties , propertyValue , referencedBy , selection , set_AssociatedDiagram , set_childrenVisible , set_CppSelection , set_Description , set_InState , set_IsControlType , set_isMarked , set_JavaSelection , set_Multiplicity , set_Name , set_Ordering , set_PropertyValue , set_Selection , set_Stereotype , set_Type , stereotype , supportFile , type , unload , unload